Get a session's CDR
The CDR that billed the session. 404 if the session does not exist or has no CDR yet.
Authentication
AuthorizationBearer
Bearer authentication of the form Bearer <token>, where token is your auth token.
Path parameters
session_id
OCPI session id.
Query parameters
country_code
Only this OCPI party country code, e.g. NL.
party_id
Only this OCPI party id, e.g. OCP.
Response
The requested object.
id
cdr_id
start_date_time
end_date_time
cdr_token
Token snapshot stored on a session or CDR.
Older rows may only have a uid. The other OCPI fields are null until the
processor stored them.
auth_method
cdr_location
Location snapshot billed on a CDR.
currency
charging_periods
total_cost
total_energy
total_time
last_updated
role
origin
organization_id
country_code
party_id
ocpi_version
created_at
updated_at
session_id
meter_id
tariffs
signed_data
Signed meter data attached to a CDR.
total_fixed_cost
total_energy_cost
total_time_cost
total_parking_time
total_parking_cost
total_reservation_cost
remark
invoice_reference_id
credit
credit_reference_id
home_charging_compensation
location_id
evse_uid
connector_id
charge_point_id
booking_id
receiver_cdr_url
Errors
401
Unauthorized Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
429
Too Many Requests Error
502
Bad Gateway Error
504
Gateway Timeout Error